--[[ 
AdiBags - Revelry! v0.9e-f [5.1.2017]
"Add filters for holidays to AdiBags."
]]--

local AddonName, AddonTable = ...
AddonTable.L = {}
local L = AddonTable.L
local locale = GetLocale()

--- CURRENTLY LOOKING FOR TRANSLATION CONTRIBUTORS ---
------------------------ frFR ------------------------
if locale == "frFR" then


------------------------ deDE ------------------------
elseif locale == "deDE" then


------------------------ esMX ------------------------
elseif locale == "esMX" then


------------------------ ruRU ------------------------
elseif locale == "ruRU" then


------------------------ esES ------------------------
elseif locale == "esES" then


------------------------ zhTW ------------------------
elseif locale == "zhTW" then


------------------------ zhCN ------------------------
elseif locale == "zhCN" then


------------------------ koKR ------------------------
elseif locale == "koKR" then


else
-------------------- enUS Default---------------------
L["AdiBags - Revelry! v0.9e-f"] = true
L["AdiBags - Revelry! v0.9e-f - Holidays"] = true
L["Revelry!"] = true
L["Holidays"] = true
L["Add filters for holidays to AdiBags."] = true
L["Provides filters for holidays and micro-holidays."] = true
L["This is a work in progress and not all holidays are currently supported. Stay posted for updates as missing holidays come around."] = true
L[""] = true
L[" "] = true
L["Configure your filters in more detail below.\n\n|cffff7700Remember, any toggled 'Merge' settings will override holiday names.\n|r"] = true

-- Holidays
L["Noblegarden"] = true
L["Children's Week"] = true
L["Midsummer Fire Festival"] = true
L["Fire Festival"] = true
L["Pirates' Day"] = true
L["Day of the Dead"] = true
-- Micro-Holidays
L["Micro-Holidays"] = true
L["Call of the Scarab"] = true
L["Hatching of the Hippogryphs"] = true
L["Un'Goro Madness"] = true
L["March of the Tadpoles"] = true
L["Glowcap Festival"] = true
L["Thousand Boat Bash"] = true
L["Kirin Tor Tavern Crawl"] = true
L["Tavern Crawl"] = true

-- Holiday Filters
L["Festive Mug"] = true
L["Bag of Smorc Ingredients"] = true
L["Bad Example"] = true
L["Items"] = true
L["Arms"] = true
L["Attire"] = true
L["Recipes"] = true
L["Food & Drink"] = true
L["Mounts"] = true
L["Pets"] = true
L["Toys"] = true

-- Holiday Filter Descriptions
L["Include your Festive Mug in your holiday filters."] = true
L["Filter items and equipment for Noblegarden."] = true
L["Filter items and equipment for Children's Week."] = true
L["Include items needed to complete:\n• |cffffff00Bad Example|r"] = true
L["Filter items and equipment for the Midsummer Fire Festival."] = true
L["Include |cffc79c6eBag of Smorc Ingredients|r in your Fire Festival filters."] = true
L["Filter items and equipment for Pirate's Day."] = true

-- Options
L["Options"] = true
L["Merge..."] = true
L["... Everything!"] = true
L["... Holidays"] = true
L["... Micro-Holidays"] = true
L["Combine all filters under a single heading."] = true
L["Combine all holiday filters under one header."] = true
L["Combine all micro-holiday filters under one header."] = true
L["Select All"] = true
L["Toggle all holiday filters (including micro-holidays)."] = true
L["Toggle all micro-holiday filters."] = true
L["Toggle all filters for this holiday."] = true
L["Filter items and equipment for this micro-holiday."] = true
L["Include filters for weapons and cosmetic accoutrements unique to this holiday."] = true
L["Include filters for clothing and cosmetic attire unique to this holiday."] = true
L["Include filters for recipes."] = true
L["Include filters for holiday fare."] = true
L["Include filters for mounts."] = true
L["Include filters for pets."] = true
L["Include filters for toys."] = true
end

-- Darkmoon Faire
L["Darkmoon Faire"] = true
L["Provides filters for the Darkmoon Faire."] = true
L["AdiBags - Revelry! v0.9e-f - Darkmoon Faire"] = true
L["Toggle all Darkmoon Faire filters."] = true
L["Configure your filters in more detail below.\n\n|cffff7700If toggled, Darkmoon Faire items will be grouped into their own separate section (otherwise they will be merged or ignored, depending upon your selections).\n|r"] = true
L["Key Items"] = true
L["Adventurer's Guide"] = true
L["Include the |cffe2a6caDarkmoon Adventurer's Guide|r."] = true
L["Game Tokens"] = true
L["Include tokens for games at the Darkmoon Faire."] = true
L["Ride Tickets"] = true
L["Include tickets for rides at the Darkmoon Faire."] = true
L["Daggermaw"] = true
L["Include Darkmoon Daggermaw."] = true
L["Quest Items"] = true
L["Include items needed to complete important quests at the Darkmoon Faire."] = true
L["Achievements"] = true
L["Darkmoon Adventurer"] = true
L["Include items needed to complete:\n• |cffffff00Darkmoon Defender|r\n• |cffffff00Darkmoon Dungeoneer|r\n• |cffffff00Darkmoon Despoiler|r"] = true
L["Fairegoer's Feast"] = true
L["Include items needed to complete:\n• |cffffff00Fairegoer's Feast|r"] = true
L["Taking the Show on the Road"] = true
L["Include items needed to complete:\n• |cffffff00Taking the Show on the Road|r"] = true
L["Professions"] = true
L["Faire Favors"] = true
L["Include items used for profession-based quests at the Darkmoon Faire."] = true
L["Craft Goods"] = true
L["Include reagents like Coarse Thread or Simple Flour, which are needed for profession-based quests at the Darkmoon Faire."] = true
L["Fishing"] = true
L["Include crates and containers that can be fished from the waters around Darkmoon Island."] = true
L["Gear"] = true
L["Include weapons and cosmetic accoutrements found at the Darkmoon Faire."] = true
L["Include clothing and cosmetic attire found at the Darkmoon Faire."] = true
L["Vanity Items"] = true
L["Include vanity items that can be purchased or won at the Darkmoon Faire."] = true
L["Collections"] = true
L["Include mounts that can be found on Darkmoon Island."] = true
L["Include pets found on or around Darkmoon Island."] = true
L["Include toys found on or around Darkmoon Island."] = true
L["Miscellaneous"] = true
L["Prizes"] = true
L["Include prize containers that can be won at the Darkmoon Faire."] = true
L["Fortunes"] = true
L["Include Sayge's fortunes in your Darkmoon Faire filters."] = true


-- Replace remaining true values by their key
for k,v in pairs(L) do
	if v == true then
		L[k] = k
	end
end
